----A2ADispatcher--
       
       ---EWR Network
DetectionSetGroup_Red = SET_GROUP:New()
DetectionSetGroup_Red:FilterPrefixes( { "RED EWR", "RED AWACS" } )
DetectionSetGroup_Red:FilterStart()   

Detection_Red = DETECTION_AREAS:New( DetectionSetGroup_Red, 30000)

--Setup the A2A Dispatcher] and initialize it
A2ADispatcher_Red = AI_A2A_DISPATCHER:New( Detection_Red )

--Turn RED Tactical Display on
--A2ADispatcher_Red:SetTacticalDisplay( true )

--Set Red Engage Radius for CAP or returning GCI in meters. Default is 100000
A2ADispatcher_Red:SetEngageRadius( 100000 )


--Initialize the dispatcher, set up border zone
BorderZone_Red = ZONE_POLYGON:New( "BORDER_Red", GROUP:FindByName( "BORDER_Red" ))
A2ADispatcher_Red:SetBorderZone(BorderZone_Red)

--Initialize the Dispatcher
A2ADispatcher_Red:SetEngageRadius( 100000 )

--Set up Squadrons
A2ADispatcher_Red:SetSquadron( "Shiraz", AIRBASE.PersianGulf.Shiraz_International_Airport, { "SQ IRAN F14" }, 12)
A2ADispatcher_Red:SetSquadron( "Lar", AIRBASE.PersianGulf.Lar_Airbase, { "SQ IRAN Mig29" }, 12)
A2ADispatcher_Red:SetSquadron( "Jiroft", AIRBASE.PersianGulf.Jiroft_Airport, { "SQ IRAN F4" }, 12)

--Set up Overhead
A2ADispatcher_Red:SetSquadronOverhead( "Shiraz", 1)
A2ADispatcher_Red:SetSquadronOverhead( "Lar", 1)
A2ADispatcher_Red:SetSquadronOverhead( "Jiroft", 1)

--Setup Grouping
A2ADispatcher_Red:SetSquadronGrouping( "Shiraz", 1)
A2ADispatcher_Red:SetSquadronGrouping( "Lar", 1)
A2ADispatcher_Red:SetSquadronGrouping( "Jiroft", 1)

 --Setup Takeoff
A2ADispatcher_Red:SetSquadronTakeoffFromParkingHot("Shiraz")
A2ADispatcher_Red:SetSquadronTakeoffFromParkingHot("Lar")
A2ADispatcher_Red:SetSquadronTakeoffFromParkingHot("Jiroft")
 
 --Setup landing
A2ADispatcher_Red:SetSquadronLandingAtRunway( "Shiraz")
A2ADispatcher_Red:SetSquadronLandingAtRunway( "Lar")
A2ADispatcher_Red:SetSquadronLandingAtRunway( "Jiroft")

--CAP SQUADRON Setup
CAPZoneWest = ZONE_POLYGON:New( "CAP_Zone_West" , GROUP:FindByName("CAP_Zone_West"))
A2ADispatcher_Red:SetSquadronCap( "Shiraz", CAPZoneWest, 2000, 12000, 500, 600, 700, 900 )
A2ADispatcher_Red:SetSquadronCapInterval( "Shiraz", 1 ,30 ,60 ,1 )
 
CAPZoneEast = ZONE_POLYGON:New( "CAP_Zone_East", GROUP:FindByName("CAP_Zone_East"))
A2ADispatcher_Red:SetSquadronCap( "Lar", CAPZoneEast, 2000, 12000, 500, 600, 700, 900 )
A2ADispatcher_Red:SetSquadronCap("Jiroft", CAPZoneEast, 2000, 12000, 500, 600, 700, 900 )
A2ADispatcher_Red:SetSquadronCapInterval( "Lar", 1, 30, 60, 1 )
A2ADispatcher_Red:SetSquadronCapInterval("Jiroft", 1, 30, 60, 1 )

--GCI Squadron execution
A2ADispatcher_Red:SetSquadronGCI("Shiraz", 900, 1200 )